### Method

# GLib KeyFile get_double

since: 2.12

#### Declaration

    gdouble
    g_key_file_get_double (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      GError** error
    )

#### Description

Returns the value associated with `key` under `group_name` as a double. If `group_name` is `NULL`, the start_group is used.

If `key` cannot be found then 0.0 is returned and `error` is set to `G_KEY_FILE_ERROR_KEY_NOT_FOUND`. Likewise, if the value associated with `key` cannot be interpreted as a double then 0.0 is returned and `error` is set to `G_KEY_FILE_ERROR_INVALID_VALUE`.

Available since: 2.12

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gdouble`

The value associated with the key as a double, or 0.0 if the key was not found or could not be parsed.